%global srcname pytest-remotedata
%global sum The py.test remotedata plugin

Name:           python-%{srcname}
Version:        0.3.3
Release:    1%{?dist}
Summary:        %{sum}

License:        BSD
URL:            https://pypi.python.org/pypi/%{srcname}
Source0:        https://files.pythonhosted.org/packages/source/p/%{srcname}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-wheel
BuildRequires:  python3-pytest
BuildRequires:  python3-setuptools
BuildRequires:  python3-setuptools_scm
BuildRequires:  python3-six
BuildRequires:  python3-wheel

%description
This package provides a plugin for the pytest framework that allows developers
to control unit tests that require access to data from the internet. 

Many software packages provide features that require access to data from the
internet. These features need to be tested, but unit tests that access the
internet can dominate the overall runtime of a test suite. The pytest-remotedata
plugin allows developers to indicate which unit tests require access to the
internet, and to control when and whether such tests should execute as part of
any given run of the test suite.


%package -n python3-%{srcname}
Summary:        %{sum}
Requires:       python3-pytest
Requires:       python3-six
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
This package provides a plugin for the pytest framework that allows developers
to control unit tests that require access to data from the internet. 

Many software packages provide features that require access to data from the
internet. These features need to be tested, but unit tests that access the
internet can dominate the overall runtime of a test suite. The pytest-remotedata
plugin allows developers to indicate which unit tests require access to the
internet, and to control when and whether such tests should execute as part of
any given run of the test suite.


%prep
%autosetup -n %{srcname}-%{version}

%build
%py3_build

%install
%py3_install
rm -fr %{buildroot}%{python3_sitelib}/tests

%files -n python3-%{srcname}
%license LICENSE.rst
%doc CHANGES.rst README.rst
%{python3_sitelib}/*

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.3-1
- initial build
